# OpenML dataset: skillcraft1

https://www.openml.org/d/42918

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Mark Blair, Joe Thompson, Andrew Henrey, Bill Chen
**Source**: [UCI](http://archive.ics.uci.edu/ml/datasets/skillcraft1+master+table+dataset) - 2013
**Please cite**: CC BY-NC-ND 4.0

**Skillcraft1 master table dataset**

We aggregated screen movements into screen-fixations using a Salvucci & Goldberg (2000) dispersion-threshold algorithm, and defined Perception Action Cycles (PACs) as fixations with at least one action. Time is recorded in terms of timestamps in the StarCraft 2 replay file. When the game is played on 'faster', 1 real-time second is equivalent to roughly 88.5 timestamps. List of possible game actions is discussed in Thompson, Blair, Chen, & Henrey (2013)


### Attribute Information:

1. GameID: Unique ID number for each game (integer) 
2. LeagueIndex: Bronze, Silver, Gold, Platinum, Diamond, Master, GrandMaster, and Professional leagues coded 1-8 (Ordinal) 
3. Age: Age of each player (integer) 
4. HoursPerWeek: Reported hours spent playing per week (integer) 
5. TotalHours: Reported total hours spent playing (integer) 
6. APM: Action per minute (continuous) 
7. SelectByHotkeys: Number of unit or building selections made using hotkeys per timestamp (continuous) 
8. AssignToHotkeys: Number of units or buildings assigned to hotkeys per timestamp (continuous) 
9. UniqueHotkeys: Number of unique hotkeys used per timestamp (continuous) 
10. MinimapAttacks: Number of attack actions on minimap per timestamp (continuous) 
11. MinimapRightClicks: number of right-clicks on minimap per timestamp (continuous) 
12. NumberOfPACs: Number of PACs per timestamp (continuous) 
13. GapBetweenPACs: Mean duration in milliseconds between PACs (continuous) 
14. ActionLatency: Mean latency from the onset of a PACs to their first action in milliseconds (continuous) 
15. ActionsInPAC: Mean number of actions within each PAC (continuous) 
16. TotalMapExplored: The number of 24x24 game coordinate grids viewed by the player per timestamp (continuous) 
17. WorkersMade: Number of SCVs, drones, and probes trained per timestamp (continuous) 
18. UniqueUnitsMade: Unique unites made per timestamp (continuous) 
19. ComplexUnitsMade: Number of ghosts, infestors, and high templars trained per timestamp (continuous) 
20. ComplexAbilitiesUsed: Abilities requiring specific targeting instructions used per timestamp (continuous)

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/42918) of an [OpenML dataset](https://www.openml.org/d/42918). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/42918/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/42918/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/42918/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

